Name:		perl-Compress-Raw-Lzma
Version:	2.029
Release:	1%{?dist}
Summary:	Low-level interface to lzma compression library
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Compress-Raw-Lzma/
Source0:	http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/Compress-Raw-Lzma-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	xz, xz-devel, perl(ExtUtils::MakeMaker), perl(Test::Pod)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module provides a Perl interface to the lzma compression library.
It is used by IO::Compress::Lzma.

%prep
%setup -q -n Compress-Raw-Lzma-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} %{buildroot}

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorarch}/auto/Compress/
%{perl_vendorarch}/Compress/
%{_mandir}/man3/Compress::Raw::Lzma.3pm*

%changelog
* Sat May  8 2010 Paul Howarth <paul@city-fan.org> - 2.029-1
- Update to 2.029 (test harness copes with memory shortage)

* Mon May  3 2010 Paul Howarth <paul@city-fan.org> - 2.028-1
- Update to 2.028
  - Remove 'Persistent' option from  Lzma::Filter::Lzma (CPAN RT#57080)
  - Silence a pile of compiler warnings
- Drop patch for CPAN RT#57080, no longer needed

* Thu Apr 29 2010 Paul Howarth <paul@city-fan.org> - 2.027-1
- Initial RPM version
